import { OnInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnChanges } from '@angular/core';
import { NgForm } from '@angular/forms';
import { NavigationService } from "../navigation.service";
import { UserService } from "../user.service";
import { WindowService } from '../window.service';
import { MemberCommunity } from '../inspire-library.interface';
import { CallingComponent } from '../inspire-library.enum';
import { CookieService } from 'ngx-cookie';
import * as i0 from "@angular/core";
export declare class UniversalNavigationDesktopComponent implements OnInit, OnDestroy, OnChanges {
    private userService;
    private navigationService;
    private cd;
    private windowService;
    private cookieService;
    /**
     * Determines whether the component will call the user API to get user info.
     * False will use the `loggedIn` and `username` inputs. Default: `true`.
     */
    useAPI: boolean;
    /** Determines which version of the navigation bar to show */
    loggedIn: boolean;
    username: string;
    envUrl: string;
    groupNameId: string;
    groupId: number;
    groupName: string;
    memberCommunities: MemberCommunity[];
    unreadNotificationCount: number;
    maxCommunityCount: number;
    calledFrom: CallingComponent;
    clickCommunity: EventEmitter<MemberCommunity>;
    browseCommunities: EventEmitter<null>;
    goToOldSearch: EventEmitter<null>;
    navigate: EventEmitter<String>;
    viewAllCommunity: EventEmitter<void>;
    query: string;
    showLeftSlide: boolean;
    showRightSlide: boolean;
    showCommunitiesMenu: boolean;
    isMobile: boolean;
    showSearch: boolean;
    hasTopAd: boolean;
    CallingComponent: typeof CallingComponent;
    topAdSub: any;
    searchPlaceholder: string;
    visitingMemberCommunity: boolean;
    constructor(userService: UserService, navigationService: NavigationService, cd: ChangeDetectorRef, windowService: WindowService, cookieService: CookieService);
    setSearchPlaceHolder(): void;
    isVisitingMemberCommunity(): void;
    ngOnChanges(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleLeftSlide(): void;
    toggleRightSlide(): void;
    toggleCommunitiesMenu(): void;
    closeBothSlides(): void;
    onSubmit(f: NgForm): void;
    onInputClick(): void;
    onSearch(query: string): void;
    logout(): void;
    onResize(event: any): void;
    onClickCommunity(community: MemberCommunity): void;
    onBrowseCommunities(): void;
    onViewAllCommunity(): void;
    onClickOutsideDiscoverInspire(): void;
    onClickOutsideCommunities(): void;
    onClickOutsideRightSlide(): void;
    static ɵfac: i0.ɵɵFactoryDef<UniversalNavigationDesktopComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<UniversalNavigationDesktopComponent, "ins-unav-desktop", never, { "useAPI": "useAPI"; "loggedIn": "loggedIn"; "username": "username"; "envUrl": "envUrl"; "groupNameId": "groupNameId"; "groupId": "groupId"; "groupName": "groupName"; "memberCommunities": "memberCommunities"; "unreadNotificationCount": "unreadNotificationCount"; "maxCommunityCount": "maxCommunityCount"; "calledFrom": "calledFrom"; }, { "clickCommunity": "clickCommunity"; "browseCommunities": "browseCommunities"; "goToOldSearch": "goToOldSearch"; "navigate": "navigate"; "viewAllCommunity": "viewAllCommunity"; }, never, never>;
}
